
Redmine - Feature #7623

"Create and continue" should default issue fields to previous issue's values

2011-02-15 12:10 - Victor Sergienko

Status: New Start date: 2011-02-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

When creating a bunch of issues, I'd probably like to file them to a same target. It would make sense to pre-fill not only Tracker, but

maybe all fields with values of previously created issue - except for Subject and Description.

It makes sense to me to pre-fill:

Assignee

Category

Priority

Target version

(maybe) Due date

Watchers

any custom fields

Related issues:

Related to Redmine - Feature #22012: "Create and continue" with different for... New

Has duplicate Redmine - Feature #4097: Batch issue creation: keep previous se... Closed 2009-10-23

Has duplicate Redmine - Feature #15549: Remember previous selections when cre... Closed

History

#1 - 2011-02-15 18:46 - Ivan Cenov

Hi,

May be "Create and continue" should remain as is, and new button to be added: "Create from this":

Create and continue - continues with blank issue

Create from this - continues with new issue filled with the contents of the current one

#2 - 2011-02-15 21:43 - Victor Sergienko

Ivan Khrustalev, why multiplying entities? Do you have a use case that reasons these two cases?

#3 - 2011-02-17 18:56 - Ivan Cenov

After some re-thinking, I'd say you are right. 'Create and continue' may create this issue and the open new issue with the data of this issue. If one

want new blank issue, the he/she may press 'New issue' at the project menu.

#4 - 2013-07-01 16:39 - Chris Moser

1. when I click on "copy", some field-data get copied correct, but only Status "New" and the actual Status of the base-issue is selectable.

2. when selecting "Create and continue" the appearing issue-edit-form has all status selectable, but no field-data from the base-issue is copied -

which would be the expected behavior, when continuing the copy-function.

I'm using following environment:

Redmine version                          2.3.1.stable

Ruby version                             1.8.7 (x86_64-linux)

Rails version                            3.2.13

Environment                              production

Database adapter                         MySQL

#5 - 2013-07-08 10:12 - Toshi MARUYAMA
https://www.redmine.org/users/3676


- Category set to Issues

#6 - 2014-01-25 21:45 - Colin Sullivan

I would like to see this too.

I get around it by setting the fields I want to preserve in the GET parameters of the URL before I submit an issue, so for example:

my-redmine.com/projects/my-project/issues/new?issue[assigned_to_id]=3&issue[fixed_version_id]=15&issue[tracker

_id]=2&issue[parent_issue_id]=255

 Then after submitting the issue, I press the browser's back button to get back to the above URL so I can enter another issue with those same fields

pre-filled.

#7 - 2016-02-11 15:25 - Robert Schneider

+1

#8 - 2016-03-06 14:19 - Toshi MARUYAMA

- Related to Feature #22012: "Create and continue" with different forms: Re-use values added

#9 - 2016-11-27 05:54 - Go MAEDA

- Has duplicate Feature #4097: Batch issue creation: keep previous selected values in the new issue form added

#10 - 2016-11-27 05:55 - Go MAEDA

- Has duplicate Feature #15549: Remember previous selections when creating multiple issues added

#11 - 2017-01-09 10:27 - Anonymous

+1

Powered by TCPDF (www.tcpdf.org)

2025-08-23 2/2

http://www.tcpdf.org

